# Custom Engagement Metrics Custom Engagement Metrics ## Gets all of the custom engagement metrics in the system. - [GET /customEngagementMetrics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/listcustomengagementmetrics.md): This method will scan all custom engagement metrics and and return them to the caller. ## Creates a new custom engagement metric record that does not already exist. - [POST /customEngagementMetrics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/createcustomengagementmetric.md): This method will auto-generate an ID and create a new custom engagement metric. If an ID is specified for the custom engagement metric, an error will be thrown. ## Execute Batch Operations - [POST /customEngagementMetrics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a custom engagement metric from the system by its ID. - [DELETE /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/deletecustomengagementmetric.md): This method will delete a custom engagement metric with the specified ID. ## Returns a custom engagement metric from the system by its ID. - [GET /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/getcustomengagementmetric.md): This method will look up a custom engagement metric by the specified ID and return it back. ## Partially updates a custom engagement metric with the specified ID. - [PATCH /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/patchcustomengagementmetric.md): This method will patch an existing custom engagement metric with the specified ID, using the HTTP PATCH specification. ## Updates a custom engagement metric with the specified ID. - [PUT /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/updatecustomengagementmetric.md): This method will update an existing custom engagement metric with the specified ID.